require "DAMN_Parts";
require "DAMN_Spawns";

--***********************************************************
--**                   KI5 / bikinihorst                   **
--***********************************************************

DAMN.Parts:processConfigV2("CVPI99", {
	["BumperFrontR"] = {
		partId = "CVPI99BumperFront",
		itemToModel = {
			["Base.99fordCVPIBumperFront0"] = "FrontBumper0",
			["Base.99fordCVPIBumperFront1"] = "FrontBumper1",
		},
		default = "first",
	},
	["BumperFront"] = {
		partId = "CVPI99BumperFront",
		itemToModel = {
			["Base.99fordCVPIBumperFront1"] = "FrontBumper1",
			["Base.99fordCVPIBumperFront0"] = "FrontBumper0",
		},
		default = "first",
	},
	["BumperRear"] = {
		partId = "CVPI99BumperRear",
		itemToModel = {
			["Base.99fordCVPIBumperRear0"] = "BumperRear0",
		},
		default = "first",
	},
	["WindshieldArmor"] = {
		partId = "CVPI99WindshieldArmor",
		itemToModel = {
			["Base.fordCVPIWindshieldArmor"] = "CVPI99winda0",
		},
	},
	["WindshieldRearArmor"] = {
		partId = "CVPI99WindshieldRearArmor",
		itemToModel = {
			["Base.fordCVPIWindshieldRearArmor"] = "CVPI99windra",
		},
	},
	["WindowFrontLeftArmor"] = {
		partId = "CVPI99WindowFrontLeftArmor",
		itemToModel = {
			["Base.fordCVPIFrontWindowArmor"] = "CVPI99leftdoora",
		},
	},
	["WindowFrontRightArmor"] = {
		partId = "CVPI99WindowFrontRightArmor",
		itemToModel = {
			["Base.fordCVPIFrontWindowArmor"] = "CVPI99rightdoora",
		},
	},
	["WindowRearLeftArmor"] = {
		partId = "CVPI99WindowRearLeftArmor",
		itemToModel = {
			["Base.fordCVPIRearWindowArmor"] = "CVPI99leftdoorra",
		},
	},
	["WindowRearRightArmor"] = {
		partId = "CVPI99WindowRearRightArmor",
		itemToModel = {
			["Base.fordCVPIRearWindowArmor"] = "CVPI99rightdoorra",
		},
	},
	["SpareTire"] = {
		partId = "CVPI99SpareTire",
		itemToModel = {
			["Base.fordCVPITire"] = "SpareTire",
		},
		default = "trve_random",
		noPartChance = 33,
	},
});


function CVPI99.ContainerAccess.Gunrack(vehicle, part, chr)
	if chr:getVehicle() == vehicle then
		local seat = vehicle:getSeat(chr)
		return seat == 1 or seat == 0;
	elseif chr:getVehicle() then
		return false
	else
		if not vehicle:isInArea(part:getArea(), chr) then return false end
		local doorPart = vehicle:getPartById("DoorFrontRight")
		if doorPart and doorPart:getDoor() and not doorPart:getDoor():isOpen() then
			return false
		end
		return true
	end
end